CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Defines | Typedefs | Functions
TestPlugInInterface.h File Reference
`#include <cppunit/Test.h>`
`#include <cppunit/TestSuite.h>`
`#include <windows.h>`
Include dependency graph for TestPlugInInterface.h:

Go to the source code of this file.

## Classes
class | TestPlugInInterface
| Abstract TestPlugIn for DLL. More...
## Defines
#define | WIN32_LEAN_AND_MEAN
#define | NOGDI
#define | NOUSER
#define | NOKERNEL
#define | NOSOUND
#define | NOMINMAX
## Typedefs
typedef TestPlugInInterface *(WINAPI * | GetTestPlugInInterfaceFunction )(void)
## Functions
| __declspec (dllexport) TestPlugInInterface *GetTestPlugInInterface()

## Define Documentation

#define NOGDI

#define NOKERNEL

#define NOMINMAX

#define NOSOUND

#define NOUSER

#define WIN32_LEAN_AND_MEAN

## Typedef Documentation

typedef TestPlugInInterface*(WINAPI * GetTestPlugInInterfaceFunction)(void)

## Function Documentation

__declspec | ( | dllexport |  | ) |

| hosts this site. |  | Send comments to: CppUnit Developers